// PreDraw.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "UtilDlg.h"	// For SetUnitString.etc.
#include "UtilMisc.h"	// For FFVersionInfo.etc.
#include "RegData.h"	// For FCRegData.
#include "PreDraw.h"	// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCPreDraw _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCPreDraw, CFCPropertyPageBase)

CFCPreDraw::CFCPreDraw ()
		: BASE_CLASS(CFCPreDraw::IDD)
{
	//{{AFX_DATA_INIT(CFCPreDraw)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	m_bIsReady = FALSE;	// OnInitDialog_xZkqqHx_iOmAiNhDiMoDiCmJ_xHqqkZx_TRUE.
} // CFCPreDraw::CFCPreDraw.

CFCPreDraw::~CFCPreDraw ()
{
} // CFCPreDraw::~CFCPreDraw.

void CFCPreDraw::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCPreDraw)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_MAP
} // CFCPreDraw::DoDataExchange.

BEGIN_MESSAGE_MAP(CFCPreDraw, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCPreDraw)
	ON_BN_CLICKED(IDC_DRW_RDO_XOR_DRAW, OnDrwRdoXorDraw)
	ON_BN_CLICKED(IDC_DRW_RDO_NOT_DRAW, OnDrwRdoNotDraw)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_BN_CLICKED(IDC_DRW_RDO_GEOMETRIC, OnDrwRdoGeometric)
	ON_BN_CLICKED(IDC_DRW_RDO_COSMETIC, OnDrwRdoCosmetic)
	ON_BN_CLICKED(IDC_DRW_RDO_EXTTEXTOUT, OnDrwRdoExttextout)
	ON_BN_CLICKED(IDC_DRW_RDO_TEXTOUT, OnDrwRdoTextout)
	ON_BN_CLICKED(IDC_DRW_RDO_DRAWTEXTEX, OnDrwRdoDrawtextex)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCPreDraw _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::IsConsistent
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jCgMiCkKjAlDiClFiCkNjAnNjCoIiClDiCoKiCmEiCkCiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jFnEjCgM_xHqqkZx_>	TRUE	:_xZkqqHx_jCgMiCkKjAlDiClFiCkCiPoKiNiHiBeC_xHqqkZx_
 *			FALSE	:_xZkqqHx_jCgMiCkKjAlDiClFiCkNiCmIiCkCiPoKiNiHiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.08.03 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
BOOL CFCPreDraw::IsConsistent () const
{
	if (m_tdwEditDrawMode == NoValue) return FALSE;
	if (m_tdwEditDrawPen == NoValue) return FALSE;
	if (m_tdwEditDrawText == NoValue) return FALSE;
	return TRUE;
} // CFCPreDraw::IsConsistent.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::UpdateModified
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiBeBiIoKiCmCiCmFiCoAjFmPiNfIiCkKiCkAiCoKiCmOiPeDjAlDiDhEiDiJiDeP_xHqqkZx_
 *			_xZkqqHx_iCpAjAnNjCoIiClHiCoJiBeCiIoKiCmCiCoAjFmPiNfIiCkKiCmIiCkPiCoKiCmOiPeDjAlDiDhEiDiJiDePiCpAiJpAiPjMiClHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.08.03 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::UpdateModified ()
{
	// _xZkqqHx_iJlNiCkJiPiIjHjNjCiGiCmIiCoHiCmOjBkGiOjOjFjMiLeBiBeC_xHqqkZx_
	if (!m_bIsReady) return;
	if (!IsConsistent())
	{
		SetModified(FALSE);
		return;
	}
	BOOL bModified = FALSE;
	if (m_tdwEditDrawMode.IsChanged()) bModified = TRUE;
	if (m_tdwEditDrawPen.IsChanged()) bModified = TRUE;
	if (m_tdwEditDrawText.IsChanged()) bModified = TRUE;
	SetModified(bModified);
} // CFCPreDraw::UpdateModified.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::UpdateControls
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jFmPjAjEiCmMiPpDjBnEiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiClHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_iIpIjAjE_xHqqkZx_>	dwCtrl	:_xZkqqHx_iClBiCmMiKnGjAjEiCmMiMmEiCnBiPgPiClFiMlDiCmMiDfCiDjDiDgHiDiNiBfLiDiLiCpAiOhHjCoIiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jCiNiInD_xHqqkZx_>	dwCtrl_xZkqqHx_iCkKiDeHiDgGiDeCiDgCiDgHiDfCiDjDiDgHiDiNiBfLiDiLiCmMiOjOiCmNiBeBiClLiCmMiDfCiDjDiDgHiDiNiBfLiDiLiCmJ_xHqqkZx_
 *			_xZkqqHx_jCgMiCpAjAnNjCoIiClHiCoJiCmGiDfCiDjDiDgHiDiNiBfLiDiLjBfDjBmMiCkKjBeJjBpAiPpDjBnEiCmJiCmIiCmBiCmEiClFiCnMiCkEiClNiCnPiBeB_xHqqkZx_
 *			_xZkqqHx_iClLiCmMiDfCiDjDiDgHiDiNiBfLiDiLiCnGiCmMjCgMiCmMjAnNjCoIiCmNiNhDiCoNiCmIiCkCiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.08.03 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::UpdateControls (DWORD dwCtrl)
{
	// _xZkqqHx_iJlNiCkJiPiIjHjNjCiGiCmIiCoHiCmOjBkGiOjOjFjMiLeBiBeC_xHqqkZx_
	if (!m_bIsReady) return;
	m_bIsReady = FALSE;

	if (dwCtrl != IDC_DRW_RDO_XOR_DRAW &&
		dwCtrl != IDC_DRW_RDO_NOT_DRAW)
	{
		if (m_tdwEditDrawMode == NoValue)
		{
			((CButton*)GetDlgItem(IDC_DRW_RDO_XOR_DRAW))->SetCheck(0);
			((CButton*)GetDlgItem(IDC_DRW_RDO_NOT_DRAW))->SetCheck(0);
		} else
		{
			CheckRadioButton(IDC_DRW_RDO_XOR_DRAW, IDC_DRW_RDO_NOT_DRAW, m_tdwEditDrawMode);
		}
	}
	if (dwCtrl != IDC_DRW_RDO_GEOMETRIC &&
		dwCtrl != IDC_DRW_RDO_COSMETIC)
	{
		if (m_tdwEditDrawPen == NoValue)
		{
			((CButton*)GetDlgItem(IDC_DRW_RDO_GEOMETRIC))->SetCheck(0);
			((CButton*)GetDlgItem(IDC_DRW_RDO_COSMETIC))->SetCheck(0);
		} else
		{
			CheckRadioButton(IDC_DRW_RDO_GEOMETRIC, IDC_DRW_RDO_COSMETIC, m_tdwEditDrawPen);
		}
	}
	if (dwCtrl != IDC_DRW_RDO_EXTTEXTOUT &&
		dwCtrl != IDC_DRW_RDO_TEXTOUT &&
		dwCtrl != IDC_DRW_RDO_DRAWTEXTEX)
	{
		if (m_tdwEditDrawText == NoValue)
		{
			((CButton*)GetDlgItem(IDC_DRW_RDO_EXTTEXTOUT))->SetCheck(0);
			((CButton*)GetDlgItem(IDC_DRW_RDO_TEXTOUT))->SetCheck(0);
			((CButton*)GetDlgItem(IDC_DRW_RDO_DRAWTEXTEX))->SetCheck(0);
		} else
		{
			CheckRadioButton(IDC_DRW_RDO_EXTTEXTOUT, IDC_DRW_RDO_DRAWTEXTEX, m_tdwEditDrawText);
		}
	}
	m_bIsReady = TRUE;
} // CFCPreDraw::UpdateControls.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::UpdateActivate
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iKgFjBkOjAkLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjClCiCnHiBeBjHeMiMpIiPpDjBnEjFmPjAjEiCpAiNfIjAfGiClFiClNiMoD_xHqqkZx_
 *			_xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjFfMiOkGiCpAjFmPiNfIiClHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.08.03 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::UpdateActivate ()
{
	// -------------------------------------------------------------
	// 95,98_xZkqqHx_iDhIiBfLiDfIiCmMiPoKiNiHiBeB_xHqqkZx_CMetaFileDC_xZkqqHx_iCmMiKgHjCkDiDiBiDfOiDhEiDeAiDeDiDiLiNoMjAkMiCmJiDgPiDePiCkKiCkAiCoJiClNiCnPiBeB_xHqqkZx_
	// SetViewportExtEx_xZkqqHx_jDjJiCmFjEhLjHkGiCpAiPoDiClAiClNiPpDjBnEiCmF_xHqqkZx_ExtTextOut_xZkqqHx_iCmJ_xHqqkZx_pDxWidths_xZkqqHx_iCpAiOhHjCoIiClFiCmEiBeB_xHqqkZx_
	// _xZkqqHx_jClHiCkCiDgFiDeMiDfIiDgHiCpAjFgAiJoGiClDiClJiCoGiCkEiCmGiClHiCoJiCmGiBeBiKgHjCkDiDiBiDfOiDhEiDeAiDeDiDiLjCiGiCmM_xHqqkZx_
	// _xZkqqHx_jFfMiOkGiNmAjFfHiPoOjFpBiCkKiJpDiCoKiCmEiClFiCnMiCkEiBeC_xHqqkZx_ENMETA.EXE(C++_xZkqqHx_iDfEiDjDiDhGiDiL_xHqqkZx_)_xZkqqHx_iCmFiKgNjEeGiClFiClNiBeC_xHqqkZx_
	// -------------------------------------------------------------
	// 95,98_xZkqqHx_iMgOiCmMiPoKiNiHiCmNiBeB_xHqqkZx_ExtTextOut_xZkqqHx_iCmNjGlDiMpIiBeC_xHqqkZx_
	if (FFVersionInfo().dwPlatformId == VER_PLATFORM_WIN32_WINDOWS)
	{
		GetDlgItem(IDC_DRW_RDO_EXTTEXTOUT)->EnableWindow(FALSE);
	}
} // CFCPreDraw::UpdateActivate.

/////////////////////////////////////////////////////////////////////////////
// CFCPreDraw _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnDialogInitValue
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	ID_DIALOG_INIT_VALUE_xZkqqHx_iDfCiDhNiDjDiDgIiCmFiOmAiNhDiBeCiKgFjBkOjAkLjCgMiCmMjFmPjAjEiCpAiPiJiKpKiJlLiClFiBeB_xHqqkZx_
 *			_xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCpAiPiJiKpKiJlLiClHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.08.03 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::OnDialogInitValue ()
{
	//----- _xZkqqHx_iKgFjBkOjAkLiCpAiPiJiKpKiJlL_xHqqkZx_ -----
	if (g_pReg->GetEditDrawMode() == 0)
		m_tdwEditDrawMode.Init(IDC_DRW_RDO_XOR_DRAW);
	else
		m_tdwEditDrawMode.Init(IDC_DRW_RDO_NOT_DRAW);

	if (g_pReg->GetEditDrawPen() == 0)
		m_tdwEditDrawPen.Init(IDC_DRW_RDO_GEOMETRIC);
	else
		m_tdwEditDrawPen.Init(IDC_DRW_RDO_COSMETIC);

	switch (g_pReg->GetEditDrawText())
	{
	case 0:
		m_tdwEditDrawText.Init(IDC_DRW_RDO_EXTTEXTOUT);
		break;
	case 1:
		m_tdwEditDrawText.Init(IDC_DRW_RDO_TEXTOUT);
		break;
	default:
		m_tdwEditDrawText.Init(IDC_DRW_RDO_DRAWTEXTEX);
	}

	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(0);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreDraw::OnDialogInitValue.

/////////////////////////////////////////////////////////////////////////////
// CFCPreDraw _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnInitDialog
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iDfPiDeDiDeBiDiNiDePiPiJiKpKiJlLiOjOiCmJiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.08.03 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
BOOL CFCPreDraw::OnInitDialog ()
{
	// Superclass_xZkqqHx_iKnGjAjEiOmAiNhDiBeC_xHqqkZx_
	BASE_CLASS::OnInitDialog();

	m_bIsReady = TRUE;

	// _xZkqqHx_iDfPiDeDiDeBiDiNiDePiCmMjCfAiImKjFfMiOkGiCpAjAnNjCoIiClHiCoJiBeC_xHqqkZx_
	::SetUnitString(m_hWnd);
	// _xZkqqHx_jHjIiCkLjIhCjBmOiJjOjFlGiOjKjHpBiCmMjAnNjCoIiCpAiNhDiCkEiBeC_xHqqkZx_
	::RightByLeftHand(m_hWnd);
	// _xZkqqHx_jBkOjAkLjFmPjAjEiCmMiPiJiKpKiJlLiBeC_xHqqkZx_
	PostMessage(WM_COMMAND, ID_DIALOG_INIT_VALUE);
	return TRUE;  // _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmJiDhEiDeIiBfLiDeKiDfIiCpAjAnNjCoIiClFiCmIiCkCiCmGiCkLiBeBjGnPiCoIjCgMiCmN_xHqqkZx_ TRUE _xZkqqHx_iCmGiCmIiCoIiCnMiClH_xHqqkZx_
	              // _xZkqqHx_jHoBiKeP_xHqqkZx_: OCX _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfHiCmMjGnPiCoIjCgMiCmN_xHqqkZx_ FALSE _xZkqqHx_iCmGiCmIiCoIiCnMiClH_xHqqkZx_
} // CFCPreDraw::OnInitDialog.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnOK
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	OK_xZkqqHx_iDhLiDfOiDjDiBeBjDeLjHhAiDhLiDfOiDjDiCkJiCoHiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.08.03 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::OnOK ()
{
	//-----	_xZkqqHx_jBkOjAkLiCmJjGlFiPiCiCkKiCkAiCoJiPoKiNiHiCmNiBeBjFjEjFgJiCmJjBkOjAkLiCpAjAnNjCoIiClJiClIiCmJjFjMiLeB_xHqqkZx_ -----
	if (!IsConsistent())
	{
		BASE_CLASS::OnOK();
		return;
	}
	if (m_tdwEditDrawMode.IsChanged())
	{
		//----- _xZkqqHx_iKgFiOoNjBkOjAkLiCmMjAnNjCoI_xHqqkZx_ -----
		switch (m_tdwEditDrawMode)
		{
		case IDC_DRW_RDO_XOR_DRAW:
			g_pReg->SetEditDrawMode(0);
			break;
		case IDC_DRW_RDO_NOT_DRAW:
			g_pReg->SetEditDrawMode(1);
			break;
		}
	}
	if (m_tdwEditDrawPen.IsChanged())
	{
		//----- _xZkqqHx_iKgFiOoNjBkOjAkLiCmMjAnNjCoI_xHqqkZx_ -----
		switch (m_tdwEditDrawPen)
		{
		case IDC_DRW_RDO_GEOMETRIC:
			g_pReg->SetEditDrawPen(0);
			break;
		case IDC_DRW_RDO_COSMETIC:
			g_pReg->SetEditDrawPen(1);
			break;
		}
	}
	if (m_tdwEditDrawText.IsChanged())
	{
		//----- _xZkqqHx_iKgFiOoNjBkOjAkLiCmMjAnNjCoI_xHqqkZx_ -----
		switch (m_tdwEditDrawText)
		{
		case IDC_DRW_RDO_EXTTEXTOUT:
			g_pReg->SetEditDrawText(0);
			break;
		case IDC_DRW_RDO_TEXTOUT:
			g_pReg->SetEditDrawText(1);
			break;
		case IDC_DRW_RDO_DRAWTEXTEX:
			g_pReg->SetEditDrawText(2);
			break;
		}
	}

	// _xZkqqHx_jBkOjAkLjFmPjAjEiCmMiPiJiKpKiJlLiBeC_xHqqkZx_
	PostMessage(WM_COMMAND, ID_DIALOG_INIT_VALUE);
	// Superclass_xZkqqHx_iKnGjAjEiOmAiNhDiBeC_xHqqkZx_
	BASE_CLASS::OnOK();
} // CFCPreDraw::OnOK.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnDrwRdoXorDraw
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jCmKiPoNiCmMjFgAiJoGiPiIjHjNiCpAjBeJiCpBiClOiCmGiCkLiCmJiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.08.03 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::OnDrwRdoXorDraw ()
{
	m_tdwEditDrawMode = IDC_DRW_RDO_XOR_DRAW;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_DRW_RDO_XOR_DRAW);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreDraw::OnDrwRdoXorDraw.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnDrwRdoNotDraw
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jElNjDfNiCmMjFgAiJoGiPiIjHjNiCpAjBeJiCpBiClOiCmGiCkLiCmJiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.08.03 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::OnDrwRdoNotDraw ()
{
	m_tdwEditDrawMode = IDC_DRW_RDO_NOT_DRAW;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_DRW_RDO_NOT_DRAW);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreDraw::OnDrwRdoNotDraw.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnDrwRdoGeometric
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jCmKiPoNiCmMiDhJiDjDiCpAjBeJiCpBiClOiCmGiCkLiCmJiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.09.15 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::OnDrwRdoGeometric ()
{
	m_tdwEditDrawPen = IDC_DRW_RDO_GEOMETRIC;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_DRW_RDO_GEOMETRIC);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreDraw::OnDrwRdoGeometric.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnDrwRdoCosmetic
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jFjN_xHqqkZx_1_xZkqqHx_iCmMiDhJiDjDiCpAjBeJiCpBiClOiCmGiCkLiCmJiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.09.15 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::OnDrwRdoCosmetic ()
{
	m_tdwEditDrawPen = IDC_DRW_RDO_COSMETIC;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_DRW_RDO_COSMETIC);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreDraw::OnDrwRdoCosmetic.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnDrwRdoExttextout
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iKgHjCkDiDiBiDfOiDhEiDeAiDeDiDiLiDgFiDeMiDfIiDgHiCmMjCmKiPoNjFgAiJoGiCpAjBeJiCpBiClOiCmGiCkLiCmJiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.09.16 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::OnDrwRdoExttextout ()
{
	m_tdwEditDrawText = IDC_DRW_RDO_EXTTEXTOUT;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_DRW_RDO_EXTTEXTOUT);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreDraw::OnDrwRdoExttextout.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnDrwRdoTextout
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iKgHjCkDiDiBiDfOiDhEiDeAiDeDiDiLiDgFiDeMiDfIiDgHiCmM_xHqqkZx_1_xZkqqHx_jFlGiOjKiClIiCmCjFgAiJoGiCpAjBeJiCpBiClOiCmGiCkLiCmJiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.09.16 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::OnDrwRdoTextout ()
{
	m_tdwEditDrawText = IDC_DRW_RDO_TEXTOUT;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_DRW_RDO_TEXTOUT);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreDraw::OnDrwRdoTextout.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreDraw::OnDrwRdoDrawtextex
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iKgHjCkDiDiBiDfOiDhEiDeAiDeDiDiLiDgFiDeMiDfIiDgHiCmMjAjEjFlGiOjKiClIiCmCjFgAiJoGiCpAjBeJiCpBiClOiCmGiCkLiCmJiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.09.16 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreDraw::OnDrwRdoDrawtextex ()
{
	m_tdwEditDrawText = IDC_DRW_RDO_DRAWTEXTEX;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_DRW_RDO_DRAWTEXTEX);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreDraw::OnDrwRdoDrawtextex.

